#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

ll d[100005];

int main(){
    ios_base::sync_with_stdio(false), cin.tie(0);

    int n, m;
    cin >> n >> m;
    for(int i=1; i<=n; i++){
        cin >> d[i];
    }
    ll res = 0;
    for(int i=1; i<=m; i++){
        int a, b;
        cin >> a >> b;
        res += max((d[a]+d[b]), (d[a]+d[b])*(-1));
    }
    cout << res;
    return 0;
}